Subject: Bug#601757: updated mountcgroupsubsys.sh

From: Marcus Osdoba <[email-masked]>
Date: Sun, 22 Apr 2012 11:56:01 +0200

As an lxc user, I like a semi-automatic (distributional way) of setting 
up the needed cgroup-subsystems.
Ubuntu uses a lightweight variant of cgroups-bin (currently blocked in 
wheezy).

As always you may have more than one way to achive a proper cgroup handling.
Attached is my (updated) solution which is an initscript in parallel to 
such as mountdevsubfs.sh and similar.

I use this on Squeeze-server running with latest lxc-7.5.x from Wheezy.
It was never tested together with systemd. All subsystems are mounted in 
their own subdirectories.

Feel free to examine the functionality and reuse it in initscripts for 
future cgroup handling in wheezy.